Index: /branches/version-2_13-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_CheckError.php	(revision 22960)
+++ /branches/version-2_13-dev/data/class/SC_CheckError.php	(revision 23124)
@@ -29,9 +29,9 @@
 class SC_CheckError
 {
-    var $arrErr = array();
-    var $arrParam;
+    public $arrErr = array();
+    public $arrParam;
 
     // チェック対象の値が含まれる配列をセットする。
-    function __construct($array = '')
+    public function __construct($array = '')
     {
         if ($array != '') {
@@ -43,5 +43,5 @@
     }
 
-    function doFunc($value, $arrFunc)
+    public function doFunc($value, $arrFunc)
     {
         foreach ($arrFunc as $key) {
@@ -53,8 +53,8 @@
      * HTMLのタグをチェックする
      *
-     * @param array $value value[0] = 項目名 value[1] = 判定対象 value[2] = 許可するタグが格納された配列
-     * @return void
-     */
-    function HTML_TAG_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象 value[2] = 許可するタグが格納された配列
+     * @return void
+     */
+    public function HTML_TAG_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -86,8 +86,8 @@
      *
      * 受け取りがない場合エラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象
-     * @return void
-     */
-    function EXIST_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象
+     * @return void
+     */
+    public function EXIST_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -97,5 +97,5 @@
         if (!is_array($this->arrParam[$value[1]]) && strlen($this->arrParam[$value[1]]) == 0) {
             $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が入力されていません。<br />';
-        } else if (is_array($this->arrParam[$value[1]]) && count($this->arrParam[$value[1]]) == 0) {
+        } elseif (is_array($this->arrParam[$value[1]]) && count($this->arrParam[$value[1]]) == 0) {
             $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が選択されていません。<br />';
         }
@@ -106,8 +106,8 @@
      *
      * 受け取りがない場合エラーを返す
-     * @param array $value value[0] = 判定対象 value[1] = 項目名
-     * @return void
-     */
-    function EXIST_CHECK_REVERSE($value)
+     * @param  array $value value[0] = 判定対象 value[1] = 項目名
+     * @return void
+     */
+    public function EXIST_CHECK_REVERSE($value)
     {
         if (isset($this->arrErr[$value[0]])) {
@@ -124,8 +124,8 @@
      *
      * 受け取りがない場合エラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象
-     * @return void
-     */
-    function SPTAB_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象
+     * @return void
+     */
+    public function SPTAB_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -142,8 +142,8 @@
      *
      * 受け取りがない場合エラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象
-     * @return void
-     */
-    function NO_SPTAB($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象
+     * @return void
+     */
+    public function NO_SPTAB($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -157,5 +157,5 @@
 
     /* ゼロで開始されている数値の判定 */
-    function ZERO_START($value)
+    public function ZERO_START($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -172,8 +172,8 @@
      *
      * プルダウンなどで選択されていない場合エラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象
-     * @return void
-     */
-    function SELECT_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象
+     * @return void
+     */
+    public function SELECT_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -190,8 +190,8 @@
      *
      * 入力が指定文字数以上ならエラーを返す
-     * @param array $value value[0] = 項目名1 value[1] = 項目名2 value[2] = 判定対象文字列1  value[3] = 判定対象文字列2
-     * @return void
-     */
-    function EQUAL_CHECK($value)
+     * @param  array $value value[0] = 項目名1 value[1] = 項目名2 value[2] = 判定対象文字列1  value[3] = 判定対象文字列2
+     * @return void
+     */
+    public function EQUAL_CHECK($value)
     {
         if (isset($this->arrErr[$value[2]]) || isset($this->arrErr[$value[3]])) {
@@ -209,8 +209,8 @@
      *
      * 入力が指定文字数以上ならエラーを返す
-     * @param array $value value[0] = 項目名1 value[1] = 項目名2 value[2] = 判定対象文字列1  value[3] = 判定対象文字列2
-     * @return void
-     */
-    function DIFFERENT_CHECK($value)
+     * @param  array $value value[0] = 項目名1 value[1] = 項目名2 value[2] = 判定対象文字列1  value[3] = 判定対象文字列2
+     * @return void
+     */
+    public function DIFFERENT_CHECK($value)
     {
         if (isset($this->arrErr[$value[2]]) || isset($this->arrErr[$value[3]])) {
@@ -228,8 +228,8 @@
      *
      * 入力が指定文字数以上ならエラーを返す
-     * @param array $value value[0] = 項目名1 value[1] = 項目名2 value[2] = 判定対象文字列1  value[3] = 判定対象文字列2
-     * @return void
-     */
-    function GREATER_CHECK($value)
+     * @param  array $value value[0] = 項目名1 value[1] = 項目名2 value[2] = 判定対象文字列1  value[3] = 判定対象文字列2
+     * @return void
+     */
+    public function GREATER_CHECK($value)
     {
         if (isset($this->arrErr[$value[2]]) || isset($this->arrErr[$value[3]])) {
@@ -247,8 +247,8 @@
      *
      * 入力が指定文字数以上ならエラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象文字列  value[2] = 最大文字数(半角も全角も1文字として数える)
-     * @return void
-     */
-    function MAX_LENGTH_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象文字列  value[2] = 最大文字数(半角も全角も1文字として数える)
+     * @return void
+     */
+    public function MAX_LENGTH_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -266,8 +266,8 @@
      *
      * 入力が指定文字数未満ならエラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象文字列 value[2] = 最小文字数(半角も全角も1文字として数える)
-     * @return void
-     */
-    function MIN_LENGTH_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象文字列 value[2] = 最小文字数(半角も全角も1文字として数える)
+     * @return void
+     */
+    public function MIN_LENGTH_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -285,8 +285,8 @@
      *
      * 入力が最大数以上ならエラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象文字列  value[2] = 最大数]
-     * @return void
-     */
-    function MAX_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象文字列  value[2] = 最大数]
+     * @return void
+     */
+    public function MAX_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -304,8 +304,8 @@
      *
      * 入力が最小数未満ならエラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象文字列  value[2] = 最小数
-     * @return void
-     */
-    function MIN_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象文字列  value[2] = 最小数
+     * @return void
+     */
+    public function MIN_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -322,8 +322,8 @@
      *
      * 入力文字が数字以外ならエラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象文字列
-     * @return void
-     */
-    function NUM_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象文字列
+     * @return void
+     */
+    public function NUM_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -340,8 +340,8 @@
      *
      * 入力文字が数字以外ならエラーを返す
-     * @param array $value value[0] = 項目名 value[1] = 判定対象文字列
-     * @return void
-     */
-    function NUM_POINT_CHECK($value)
+     * @param  array $value value[0] = 項目名 value[1] = 判定対象文字列
+     * @return void
+     */
+    public function NUM_POINT_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -354,5 +354,5 @@
     }
 
-    function ALPHA_CHECK($value)
+    public function ALPHA_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -378,5 +378,5 @@
      * @return void
      */
-    function TEL_CHECK($value)
+    public function TEL_CHECK($value)
     {
         $telItemLen = isset($value[4]) ? $value[4] : TEL_ITEM_LEN;
@@ -404,5 +404,5 @@
             if (strlen($this->arrParam[$value[$i]]) > 0 && strlen($this->arrParam[$value[$i]]) > $telItemLen) {
                 $this->arrErr[$value[$i]] .= '※ ' . $value[0] . $i . 'は' . $telItemLen . '字以内で入力してください。<br />';
-            } else if ($this->numelicCheck($this->arrParam[$value[1]])) {
+            } elseif ($this->numelicCheck($this->arrParam[$value[1]])) {
                 $this->arrErr[$value[$i]] .= '※ ' . $value[0] . $i . 'は数字で入力してください。<br />';
             }
@@ -420,5 +420,5 @@
         value[1]    : 判定対象要素名
     */
-    function FULL_EXIST_CHECK($value)
+    public function FULL_EXIST_CHECK($value)
     {
         $max = count($value);
@@ -449,5 +449,5 @@
         value[1]    : 判定対象要素名
     */
-    function ALL_EXIST_CHECK($value)
+    public function ALL_EXIST_CHECK($value)
     {
         $max = count($value);
@@ -481,5 +481,5 @@
         value[1]    : 判定対象要素名
     */
-    function ONE_EXIST_CHECK($value)
+    public function ONE_EXIST_CHECK($value)
     {
         $max = count($value);
@@ -510,5 +510,5 @@
         value[1]    : 判定対象要素名
     */
-    function TOP_EXIST_CHECK($value)
+    public function TOP_EXIST_CHECK($value)
     {
         $max = count($value);
@@ -544,5 +544,5 @@
     // 入力文字がカナ以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function KANA_CHECK($value)
+    public function KANA_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -558,5 +558,5 @@
     // 入力文字がカナ以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function KANABLANK_CHECK($value)
+    public function KANABLANK_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -572,5 +572,5 @@
     // 入力文字が英数字以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function ALNUM_CHECK($value)
+    public function ALNUM_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -586,5 +586,5 @@
     // 入力文字が英数記号以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function GRAPH_CHECK($value)
+    public function GRAPH_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -600,5 +600,5 @@
     // 入力値で0が許されない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象
-    function ZERO_CHECK($value)
+    public function ZERO_CHECK($value)
     {
         $this->createParam($value);
@@ -611,5 +611,5 @@
     // 入力文字の桁数判定　→　最小桁数＜入力文字列＜最大桁数
     // value[0] = 項目名 value[1] = 判定対象文字列 value[2] = 最小桁数 value[3] = 最大桁数
-    function NUM_RANGE_CHECK($value)
+    public function NUM_RANGE_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -627,5 +627,5 @@
     // 入力文字の桁数判定　→　入力文字列 = 桁数　以外はNGの場合
     // value[0] = 項目名 value[1] = 判定対象文字列 value[2] = 桁数
-    function NUM_COUNT_CHECK($value)
+    public function NUM_COUNT_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -647,5 +647,5 @@
      * @return void
      */
-    function EMAIL_CHECK($value)
+    public function EMAIL_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -685,4 +685,5 @@
         if (!preg_match($regexp, $this->arrParam[$value[1]])) {
             $this->arrErr[$value[1]] = '※ ' . $value[0] . 'の形式が不正です。<br />';
+
             return;
         }
@@ -697,5 +698,5 @@
     //　メールアドレスに使用する文字を正規表現で判定する
     //  value[0] = 項目名 value[1] = 判定対象メールアドレス
-    function EMAIL_CHAR_CHECK($value)
+    public function EMAIL_CHAR_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -711,5 +712,5 @@
     //　URLを正規表現で判定する。デフォルトでhttp://があってもOK
     //  value[0] = 項目名 value[1] = 判定対象URL
-    function URL_CHECK($value)
+    public function URL_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -723,5 +724,5 @@
     /*　IPアドレスの判定　*/
     //  value[0] = 項目名 value[1] = 判定対象IPアドレス文字列
-    function IP_CHECK($value)
+    public function IP_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -747,5 +748,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象 value[2]=array(拡張子)
-    function FILE_EXT_CHECK($value)
+    public function FILE_EXT_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]]) || count($value[2]) == 0) {
@@ -774,5 +775,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象  value[2] = 指定ディレクトリ
-    function FIND_FILE($value)
+    public function FIND_FILE($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -798,5 +799,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象  value[2] = 指定サイズ(KB)
-    function FILE_EXIST_CHECK($value)
+    public function FILE_EXIST_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -812,5 +813,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象  value[2] = 指定サイズ(KB)
-    function FILE_SIZE_CHECK($value)
+    public function FILE_SIZE_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -831,5 +832,5 @@
     // 入力文字が英数字,'_','-'以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function FILE_NAME_CHECK($value)
+    public function FILE_NAME_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -845,5 +846,5 @@
     // 入力文字が英数字,'_','-'以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function FILE_NAME_CHECK_BY_NOUPLOAD($value)
+    public function FILE_NAME_CHECK_BY_NOUPLOAD($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -861,5 +862,5 @@
     // value[2] = MM
     // value[3] = DD
-    function CHECK_DATE($value)
+    public function CHECK_DATE($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -872,5 +873,5 @@
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0)) {
                 $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は全ての項目を入力して下さい。<br />';
-            } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
+            } elseif (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
                 $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
@@ -885,5 +886,5 @@
     // value[4] = HH
     // value[5] = mm
-    function CHECK_DATE2($value)
+    public function CHECK_DATE2($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -896,5 +897,5 @@
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0 && strlen($this->arrParam[$value[3]]) > 0 && strlen($this->arrParam[$value[4]]) > 0 && strlen($this->arrParam[$value[5]]) > 0)) {
                 $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は全ての項目を入力して下さい。<br />';
-            } else if (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
+            } elseif (! checkdate($this->arrParam[$value[2]], $this->arrParam[$value[3]], $this->arrParam[$value[1]])) {
                 $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
@@ -906,5 +907,5 @@
     // value[1] = YYYY
     // value[2] = MM
-    function CHECK_DATE3($value)
+    public function CHECK_DATE3($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -917,5 +918,5 @@
             if (!(strlen($this->arrParam[$value[1]]) > 0 && strlen($this->arrParam[$value[2]]) > 0)) {
                 $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は全ての項目を入力して下さい。<br />';
-            } else if (! checkdate($this->arrParam[$value[2]], 1, $this->arrParam[$value[1]])) {
+            } elseif (! checkdate($this->arrParam[$value[2]], 1, $this->arrParam[$value[1]])) {
                 $this->arrErr[$value[1]] = '※ ' . $value[0] . 'が正しくありません。<br />';
             }
@@ -928,5 +929,5 @@
     // value[2] = MM
     // value[3] = DD
-    function CHECK_BIRTHDAY($value)
+    public function CHECK_BIRTHDAY($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -973,5 +974,5 @@
     // value[6] = end_month
     // value[7] = end_day
-    function CHECK_SET_TERM($value)
+    public function CHECK_SET_TERM($value)
     {
         // 期間指定
@@ -1022,5 +1023,5 @@
 
     /*-----------------------------------------------------------------*/
-    function CHECK_SET_TERM2($value)
+    public function CHECK_SET_TERM2($value)
     {
         // 期間指定
@@ -1064,5 +1065,5 @@
     // value[4] = end_year
     // value[5] = end_month
-    function CHECK_SET_TERM3($value)
+    public function CHECK_SET_TERM3($value)
     {
         // 期間指定
@@ -1088,5 +1089,5 @@
 
     //ディレクトリ存在チェック
-    function DIR_CHECK($value)
+    public function DIR_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -1100,5 +1101,5 @@
 
     // ドメインチェック
-    function DOMAIN_CHECK($value)
+    public function DOMAIN_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -1113,5 +1114,5 @@
     //　メールアドレスを正規表現で判定する
     // value[0] = 項目名 value[1] = 判定対象メールアドレス
-    function MOBILE_EMAIL_CHECK($value)
+    public function MOBILE_EMAIL_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -1133,5 +1134,5 @@
      * @return void
      */
-    function CHECK_REGIST_CUSTOMER_EMAIL($value)
+    public function CHECK_REGIST_CUSTOMER_EMAIL($value)
     {
         if (isset($this->arrErr[$value[1]])) {
@@ -1160,5 +1161,5 @@
      * @example $objErr->doFunc(array('URL', 'contents', $arrReviewDenyURL), array('PROHIBITED_STR_CHECK'));
      */
-    function PROHIBITED_STR_CHECK($value)
+    public function PROHIBITED_STR_CHECK($value)
     {
         if (isset($this->arrErr[$value[1]]) || empty($this->arrParam[$value[1]])) {
@@ -1179,8 +1180,8 @@
      *
      * @access private
-     * @param array $value [0] => 項目名, [1] => 評価する文字列
-     * @return void
-     */
-    function EVAL_CHECK($value)
+     * @param  array $value [0] => 項目名, [1] => 評価する文字列
+     * @return void
+     */
+    public function EVAL_CHECK($value)
     {
         if (isset($this->arrErr[$value[0]])) {
@@ -1204,5 +1205,5 @@
      * @return bool パラメーターとして適切な文字列か
      */
-    function evalCheck($value)
+    public function evalCheck($value)
     {
         return @eval('return is_scalar(' . $value . ');');
@@ -1213,8 +1214,8 @@
      *
      * @access private
-     * @param array $value 配列
-     * @return void
-     */
-    function createParam($value)
+     * @param  array $value 配列
+     * @return void
+     */
+    public function createParam($value)
     {
         foreach ($value as $val_key => $key) {
@@ -1226,5 +1227,5 @@
                         $this->arrErr[$value[1]] = '※ ' . $value[0] . 'に禁止された記号の並びまたは制御文字が入っています。<br />';
                     }
-                } else if (preg_match('/[^a-z0-9_]/i', $key)) {
+                } elseif (preg_match('/[^a-z0-9_]/i', $key)) {
                     trigger_error('', E_USER_ERROR);
                 }
@@ -1237,8 +1238,8 @@
      *
      * @access private
-     * @param string $string チェックする文字列
+     * @param  string  $string チェックする文字列
      * @return boolean 値が10進数の数値表現のみの場合 true
      */
-    function numelicCheck($string)
+    public function numelicCheck($string)
     {
         /*
Index: /branches/version-2_13-dev/data/class/SC_PageNavi.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_PageNavi.php	(revision 23066)
+++ /branches/version-2_13-dev/data/class/SC_PageNavi.php	(revision 23124)
@@ -42,12 +42,12 @@
 class SC_PageNavi
 {
-    var $now_page;      // 現在のページ番号
-    var $max_page;      // 最終のページ番号
-    var $start_row;     // 開始レコード
-    var $strnavi;       // ページ送り文字列
-    var $arrPagenavi = array(); // ページ
+    public $now_page;      // 現在のページ番号
+    public $max_page;      // 最終のページ番号
+    public $start_row;     // 開始レコード
+    public $strnavi;       // ページ送り文字列
+    public $arrPagenavi = array(); // ページ
 
     // コンストラクタ
-    function __construct($now_page, $all_row, $page_row, $func_name, $navi_max = NAVI_PMAX, $urlParam = '', $display_number = true)
+    public function __construct($now_page, $all_row, $page_row, $func_name, $navi_max = NAVI_PMAX, $urlParam = '', $display_number = true)
     {
         $this->arrPagenavi['mode'] = 'search';
@@ -139,5 +139,5 @@
             if ($before && $next) {
                 $this->strnavi = $before .(($display_number) ? $page_number : ' | ') .$next;
-            } else if ($before || $next) {
+            } elseif ($before || $next) {
                 $this->strnavi = $before .(($display_number) ? $page_number : '') .$next;
             }
Index: /branches/version-2_13-dev/data/class/SC_MobileEmoji.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_MobileEmoji.php	(revision 22856)
+++ /branches/version-2_13-dev/data/class/SC_MobileEmoji.php	(revision 23124)
@@ -40,5 +40,5 @@
      * @return string 出力
      */
-    static function handler($buffer)
+    public static function handler($buffer)
     {
         $replace_callback = create_function('$matches', 'return SC_MobileEmoji_Ex::indexToCode($matches[1]);');
@@ -50,8 +50,8 @@
      * 絵文字番号を絵文字を表す Shift JIS の文字列に変換する。
      *
-     * @param string $index 絵文字番号
+     * @param  string $index 絵文字番号
      * @return string 絵文字を表す Shift JIS の文字列を返す。
      */
-    function indexToCode($index)
+    public function indexToCode($index)
     {
         $carrier = SC_MobileUserAgent_Ex::getCarrier();
Index: /branches/version-2_13-dev/data/class/SC_SendMail.php
===================================================================
--- /branches/version-2_13-dev/data/class/SC_SendMail.php	(revision 22857)
+++ /branches/version-2_13-dev/data/class/SC_SendMail.php	(revision 23124)
@@ -25,12 +25,12 @@
 class SC_SendMail
 {
-    var $to;            // 送信先
-    var $subject;       // 題名
-    var $body;          // 本文
-    var $cc;            // CC
-    var $bcc;           // BCC
-    var $replay_to;     // replay_to
-    var $return_path;   // return_path
-    var $objMail;
+    public $to;            // 送信先
+    public $subject;       // 題名
+    public $body;          // 本文
+    public $cc;            // CC
+    public $bcc;           // BCC
+    public $replay_to;     // replay_to
+    public $return_path;   // return_path
+    public $objMail;
 
     /**
@@ -39,5 +39,5 @@
      * @return void
      */
-    function __construct()
+    public function __construct()
     {
         $this->arrRecip = array();
@@ -63,5 +63,5 @@
 
     // 送信先の設定
-    function setRecip($key, $recipient)
+    public function setRecip($key, $recipient)
     {
         $this->arrRecip[$key] = $recipient;
@@ -69,5 +69,5 @@
 
     // 宛先の設定
-    function setTo($to, $to_name = '')
+    public function setTo($to, $to_name = '')
     {
         if ($to != '') {
@@ -78,5 +78,5 @@
 
     // 送信元の設定
-    function setFrom($from, $from_name = '')
+    public function setFrom($from, $from_name = '')
     {
         $this->from = $this->getNameAddress($from_name, $from);
@@ -84,5 +84,5 @@
 
     // CCの設定
-    function setCc($cc, $cc_name = '')
+    public function setCc($cc, $cc_name = '')
     {
         if ($cc != '') {
@@ -93,5 +93,5 @@
 
     // BCCの設定
-    function setBCc($bcc)
+    public function setBCc($bcc)
     {
         if ($bcc != '') {
@@ -102,5 +102,5 @@
 
     // Reply-Toの設定
-    function setReplyTo($reply_to)
+    public function setReplyTo($reply_to)
     {
         if ($reply_to != '') {
@@ -110,5 +110,5 @@
 
     // Return-Pathの設定
-    function setReturnPath($return_path)
+    public function setReturnPath($return_path)
     {
         $this->return_path = $return_path;
@@ -116,5 +116,5 @@
 
     // 件名の設定
-    function setSubject($subject)
+    public function setSubject($subject)
     {
         $this->subject = mb_encode_mimeheader($subject, 'JIS', 'B', "\n");
@@ -123,5 +123,5 @@
 
     // 本文の設定
-    function setBody($body)
+    public function setBody($body)
     {
         // iso-2022-jpだと特殊文字が？で送信されるのでJISを使用する
@@ -135,5 +135,5 @@
      * @deprecated 2.12.2 (#1912)
      */
-    function setHost($host)
+    public function setHost($host)
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -152,5 +152,5 @@
      * @deprecated 2.12.2 (#1912)
      */
-    function setPort($port)
+    public function setPort($port)
     {
         trigger_error('前方互換用メソッドが使用されました。', E_USER_WARNING);
@@ -165,5 +165,5 @@
 
     // 名前<メールアドレス>の形式を生成
-    function getNameAddress($name, $mail_address)
+    public function getNameAddress($name, $mail_address)
     {
             if ($name != '') {
@@ -176,13 +176,14 @@
                 $name_address = $mail_address;
             }
+
             return $name_address;
     }
 
-    function setItem($to, $subject, $body, $fromaddress, $from_name, $reply_to='', $return_path='', $errors_to='', $bcc='', $cc ='')
+    public function setItem($to, $subject, $body, $fromaddress, $from_name, $reply_to='', $return_path='', $errors_to='', $bcc='', $cc ='')
     {
         $this->setBase($to, $subject, $body, $fromaddress, $from_name, $reply_to, $return_path, $errors_to, $bcc, $cc);
     }
 
-    function setItemHtml($to, $subject, $body, $fromaddress, $from_name, $reply_to='', $return_path='', $errors_to='', $bcc='', $cc ='')
+    public function setItemHtml($to, $subject, $body, $fromaddress, $from_name, $reply_to='', $return_path='', $errors_to='', $bcc='', $cc ='')
     {
         $this->setBase($to, $subject, $body, $fromaddress, $from_name, $reply_to, $return_path, $errors_to, $bcc, $cc);
@@ -201,5 +202,5 @@
          $bcc           -> ブラインドカーボンコピー
     */
-    function setBase($to, $subject, $body, $fromaddress, $from_name, $reply_to='', $return_path='', $errors_to='', $bcc='', $cc ='')
+    public function setBase($to, $subject, $body, $fromaddress, $from_name, $reply_to='', $return_path='', $errors_to='', $bcc='', $cc ='')
     {
         // 宛先設定
@@ -221,5 +222,5 @@
         if ($errors_to != '') {
             $this->return_path = $errors_to;
-        } else if ($return_path != '') {
+        } elseif ($return_path != '') {
             $this->return_path = $return_path;
         } else {
@@ -229,5 +230,5 @@
 
     // ヘッダーを返す
-    function getBaseHeader()
+    public function getBaseHeader()
     {
         // 送信するメールの内容と送信先
@@ -254,5 +255,5 @@
 
     // ヘッダーを返す
-    function getTEXTHeader()
+    public function getTEXTHeader()
     {
         $arrHeader = $this->getBaseHeader();
@@ -263,5 +264,5 @@
 
     // ヘッダーを返す
-    function getHTMLHeader()
+    public function getHTMLHeader()
     {
         $arrHeader = $this->getBaseHeader();
@@ -276,5 +277,5 @@
      * @return array|string メーラーバックエンドに応じた送信先
      */
-    function getRecip()
+    public function getRecip()
     {
         switch ($this->backend) {
@@ -297,5 +298,5 @@
      * @return void
      */
-    function sendMail($isHtml = false)
+    public function sendMail($isHtml = false)
     {
         $header = $isHtml ? $this->getHTMLHeader() : $this->getTEXTHeader();
@@ -309,4 +310,5 @@
             trigger_error($msg, E_USER_WARNING);
             GC_Utils_Ex::gfDebugLog($header);
+
             return false;
         }
@@ -320,5 +322,5 @@
      * @return void
      */
-    function sendHtmlMail()
+    public function sendHtmlMail()
     {
         return $this->sendMail(true);
@@ -328,8 +330,8 @@
      * メーラーバックエンドに応じたパラメーターを返す.
      *
-     * @param string $backend Pear::Mail のバックエンド
-     * @return array メーラーバックエンドに応じたパラメーターの配列
-     */
-    function getBackendParams($backend)
+     * @param  string $backend Pear::Mail のバックエンド
+     * @return array  メーラーバックエンドに応じたパラメーターの配列
+     */
+    public function getBackendParams($backend)
     {
         switch ($backend) {
